# Generated from yacp-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yacp

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: yacp = Yet Another Changelog Parser (in ruby)
License: MIT
URL: https://github.com/jkeck/yacp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
A changelog parser written in ruby with a few simple
goals:
1. Parse CHANGELOG files on GitHub that follow the https://keepachangelog.com
format.
2. Model the releases to able to differentiate between the various Added,
Changed, Removed, etc. categories.
3. Provide a simple query interface to to access releases.
4. Provide enhanced content for particular formatted data (e.g. linking
issues/pull requests).
5. Provide a simple set of tools to help manage the CHANGELOG file itself.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/yacp.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.1-1
- Initial package
